extend("fiskheroes:hero_basic");
loadTextures({
	"men": "tgheroes:gamma/she_suit",
	"monster": "tgheroes:gamma/she_hulk",
	"suit": "tgheroes:gamma/she.tx.json"
});
var chest;
var utils = implement("fiskheroes:external/utils");

function init(renderer) {
    parent.init(renderer);
    renderer.setTexture((entity, renderLayer) => {
		if (!entity.isDisplayStand()) {
            var timer = entity.getInterpolatedData("fiskheroes:dyn/giant_mode_timer");
            return timer == 0 ? "men" : timer < 1 ? "suit" : "monster";
        }
        return "monster";
    });
	
    renderer.showModel("CHESTPLATE", "head", "headwear", "body", "rightArm", "leftArm", "rightLeg", "leftLeg");
    renderer.fixHatLayer("CHESTPLATE");
}

function initEffects(renderer) {
    chest = renderer.createEffect("fiskheroes:chest");
    chest.setExtrude(1.5).setYOffset(1);
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (!isFirstPersonArm && renderLayer == "CHESTPLATE") {
        chest.render();
    }
}
